#!/usr/bin/env node
export type availableTemplate = 'node' | string;
type initConfig = {
    rootCatalog: string;
    template: availableTemplate;
    sUpdaterVersion: string;
};
type downloadRemoteConfig = {
    rootCatalog: string;
    template: availableTemplate | string;
    sUpdaterVersion: string;
};
type buildConfig = {
    rootCatalog: string;
    template: availableTemplate | string;
    sUpdaterVersion: string;
    fileMap: {
        fileMap: string[];
        files: Record<string, string[]>;
    };
};
export declare const init: (args: string[]) => Promise<initConfig>;
export declare const createConfigFile: (config: initConfig) => Promise<downloadRemoteConfig>;
export declare const downloadRemoteConfig: (config: downloadRemoteConfig) => Promise<buildConfig>;
export declare const buildConfig: (config: buildConfig) => Promise<any>;
export {};
